Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/surveys/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "title": "<string>", "description": "<string>", "isActive": true, "publishedAt": "2023-11-07T05:31:56Z", "version": 123, "questionCount": 123, "responseCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "questions": [ { "id": "<string>", "questionText": "<string>", "displayOrder": 123, "isRequired": true, "isActive": true, "options": [ { "id": "<string>", "value": "<string>", "displayOrder": 123 } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] } }
Retrieve a single general survey with all its questions.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Survey ID
Survey details with questions
Show child attributes
Was this page helpful?